
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%inicio.m																									  %
%Este programa sirve para poder cargar los valores del motor "SRM"                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global TETAS TETAX TETAY TETAXY TETAON TETAOFF TETAQ V AUP BUP ADOWN BDOWN DL A B LMIN LMAX

NS=6           %Este valor nos representa el numero de polos del SRM en el estator.
NR=4           %Este valor nos representa el numero de polos del SRM del rotor.
P=3;           %Este valor nos representa el numero de fases de SRM.

BETAS=30*(pi/180);
BETAR=30*(pi/180);
TETAS=(2*pi)*((1/NR)-(1/NS))
TETAX=(pi/NR)-((BETAR+BETAS)/2)
TETAY=(pi/NR)-((BETAR-BETAS)/2)
TETAZ=(BETAR-BETAS)/2
TETAXY=(TETAY+TETAZ+TETAS)
TETAON=0*(pi/180)          %Este es el ngulo en dodnde se comienza la conmutacin.
TETAOFF=30*(pi/180)          %Este es el ngulo en donde se termina la conmutacin.
TETAQ=60*(pi/180)            %Este es el ngulo en donde se encuentra totalmente desalineado
                             %el polo del rotor y el estator
TETAIN=.1*(pi/180)
V=100
R=1.3;              %Resistencia de fase
J=0.003;            %Valor de inercia


DELTAVMAX=150;
LMIN=8e-3;            %Inductancia mnima
LMAX=60e-3;            %Inductancia mxima


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Calculos que nos serviran para obtener la inductancia en diferentes posiciones del
%rotor 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


G=(inv([TETAX 1;TETAY 1]))*([LMIN;LMAX]);
AUP=G(1);
BUP=G(2);
H=(inv([(TETAY+TETAZ) 1;TETAXY 1]))*([LMAX;LMIN]);
ADOWN=H(1);
BDOWN=H(2);
DL=AUP;

